Package org.eclipse.net4j.util.collection

## Interface IHistoryElement<T>

- All Known Implementing Classes:
    `HistoryElement`

      public interface IHistoryElement<T>

  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `T` | `getData()` |
    `IHistory<IHistoryElement<T>>` | `getHistory()` |
    `java.lang.String` | `getText()` |

- - ### Method Detail

    - #### getHistory

          IHistory<IHistoryElement<T>> getHistory()

    - #### getData

          T getData()

    - #### getText

          java.lang.String getText()